#include <biwak/handler.h>

#if defined ( STM32F3 )

   #pragma GCC diagnostic push
   #pragma GCC diagnostic ignored "-Wattributes"

   IRQ_Funcion_decl( TIM6_DAC1_IRQHandler_dac );
   IRQ_Funcion_decl( TIM6_DAC1_IRQHandler_tim );
   IRQ_Funcion_weak_dummy( TIM6_DAC1_IRQHandler_dac );
   IRQ_Funcion_weak_dummy( TIM6_DAC1_IRQHandler_tim );
    
    

   IRQ_Funcion_imp( TIM6_DAC1_IRQHandler )
   {
      // TIM6_DAC1_IRQHandler_tim();
      // TIM6_DAC1_IRQHandler_dac();
      IRQ_Funcion_imp_name( TIM6_DAC1_IRQHandler_tim )();
      IRQ_Funcion_imp_name( TIM6_DAC1_IRQHandler_dac )();

      return;
   }
   
   
   IRQ_Funcion_decl( TIM7_DAC2_IRQHandler_dac );
   IRQ_Funcion_decl( TIM7_DAC2_IRQHandler_tim );
   // IRQ_Funcion_weak_dummy( TIM7_DAC2_IRQHandler_dac );
   // IRQ_Funcion_weak_dummy( TIM7_DAC2_IRQHandler_tim );

   IRQ_Funcion_imp( TIM7_DAC2_IRQHandler )
   {
      IRQ_Funcion_imp_name(TIM7_DAC2_IRQHandler_tim) ();
      IRQ_Funcion_imp_name(TIM7_DAC2_IRQHandler_dac) ();

      return;
   }

   #pragma GCC diagnostic pop

#endif


#if defined ( STM32F0 )

   #pragma GCC diagnostic push
   #pragma GCC diagnostic ignored "-Wattributes"

   IRQ_Funcion_decl( TIM6_DAC_IRQHandler_dac )
   IRQ_Funcion_decl( TIM6_DAC_IRQHandler_tim )

   IRQ_Funcion_imp( TIM6_DAC_IRQHandler )
   {
      //IRQ_Funcion_imp_name(TIM6_DAC_IRQHandler_tim) ();
      //IRQ_Funcion_imp_name(TIM6_DAC_IRQHandler_dac) ();
      TIM6_DAC_IRQHandler_tim();
      TIM6_DAC_IRQHandler_dac();

      return;
   }

   #pragma GCC diagnostic pop

#if 0
   IRQ_Funcion_weak( TIM6_DAC_IRQHandler_dac )
   {

   }

   IRQ_Funcion_weak( TIM6_DAC_IRQHandler_tim )
   {

   }
#endif
#endif // ? STM32F0

//---fin----------------------------------------------------------------------
